#!/bin/bash


QuestionDebut ()
{
echo -n -e "$VERT""$GRAS""\n************************************************\n"
echo -n -e "$VERT""$GRAS""* Programme de préparation clefUSB persistante *\n************************************************\n   -> Continuer [o/n] ? "


read reponse
shopt -s nocasematch  # sensibilité à la case désactivée.
case "$reponse" in   # teste la réponse.
	o) echo ""
	echo -e "$JAUNE""$GRAS""Voyons quelles clefUSB sont présentes :""$DEFAUT"  # dans le cas de la réponse par le caractére o ou O, les commandes suivantes s'éxécutent.
	echo -n -e "—————————————————————————————————————————————————————————————————————————————————————————————\n"
	QuestionDevice
	;;

	n) echo ""
	echo -e "$JAUNE""$GRAS""Abandon "!"$DEFAUT" # pour la réponse par le caractére n ou N, aucune commande à exécuter.

	;;

	*) echo -e "$JAUNE""$GRAS""   -> Mauvaise réponse "!"$DEFAUT"  # réponse par tous autres caractères (0 à n caractères), pour éluder les mauvaises réponses.
	QuestionDebut  # appel de la fonction EffacementTempo, pour redemander que faire des temporaires.
	;;
esac
}

QuestionExact ()
{
echo -n -e "$VERT""$GRAS""\nLa clefUSB sélectionnée est donc : $device\n!! ATTENTION LA CLEF SERA EFFACÉE !!\n -> Exact ? [o/n] [q]uitter : "

read reponse2
case "$reponse2" in   # teste la réponse.
	o) echo ""
	echo -e "$JAUNE""$GRAS""Préparation...""$DEFAUT"  # dans le cas de la réponse par le caractére o ou O, les commandes suivantes s'éxécutent.
	CopieISO
	;;

	n) echo ""
	echo -e "$JAUNE""$GRAS""—————————————————————————————————————————————————————————————————————————————————————————————\n"!"$DEFAUT" # pour la réponse par le caractére n ou N, aucune commande à exécuter.
	QuestionDevice
	;;

	q) echo ""
	echo -e "$JAUNE""$GRAS""Abandon"!"$DEFAUT" # pour la réponse par le caractére n ou N, aucune commande à exécuter.
	;;

	*) echo -e "$JAUNE""$GRAS""   -> Mauvaise réponse "!"$DEFAUT"  # réponse par tous autres caractères (0 à n caractères), pour éluder les mauvaises réponses.
	QuestionExact  # appel de la fonction EffacementTempo, pour redemander que faire des temporaires.
	;;
esac
}


QuestionDevice ()
{
df -h
echo -n -e "—————————————————————————————————————————————————————————————————————————————————————————————\n"
echo -n -e "\n"
echo -n -e "$VERT""$GRAS""Indiquez quel est votre clefUSB (sans le N°, example : sdb ) : "
read device
QuestionExact
}


CopieISO()
{
echo -n -e "Démontage des partitions :\n\n"
sudo umount /dev/"$device"5
sudo umount /dev/"$device"4
sudo umount /dev/"$device"3
sudo umount /dev/"$device"2
sudo umount /dev/"$device"1

echo -n -e "\nCopie de l'image iso en cours, patienter...\n\n"
sudo dd if=MakotoNoAkedo64bitsV2.iso of=/dev/$device; sudo sync

echo -n -e "\nCréation de la partition persistence :\n\n"
# Création de la partition supplémetaire
(echo n; echo p; echo ; echo ; echo ; echo w) | sudo fdisk /dev/$device
#echo n # Add a new partition
#echo p # Primary partition
#echo   # Partition number
#echo   # First sector (Accept default: 1)
#echo   # Last sector (Accept default: varies)
#echo w # Write changes

echo -n -e "\nFormatage de la partition persistence :\n\n"
# Formatage de la partition persistence
sudo partprobe
(echo o) | sudo mkfs.ext4 -L persistence /dev/"$device"3

# configuration de la partition persistence
echo -n -e "\nConfiguration de la partition persistence :\n\n"
sudo mount -t ext4 /dev/"$device"3 /mnt
sudo chown -R makoto:makoto /mnt
echo "/home" >> /mnt/persistence.conf
sudo umount /dev/"$device"3
sudo umount /dev/"$device"1

echo -n -e "$VERT""$GRAS""\n\n!! Opération terminée !!\n\n   -> Ejecter la clefUSB\n"

}


QuestionDebut
